%if 0%{?rhel} && 0%{?rhel} <= 5
%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}
%{!?python_sitearch: %global python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib(1))")}
%endif

%global pkgname odict

Name: python-odict
Version: 1.5.1
Release: 11%{?dist}
Summary: Ordered dictionary

Group: Development/Languages
License: Python
URL: http://slimit.org/
Source0: http://pypi.python.org/packages/source/o/%{pkgname}/%{pkgname}-%{version}.tar.gz

BuildArch: noarch

BuildRequires: python2-devel
BuildRequires: python2-setuptools

%global _description\
Dictionary in which the insertion order of items is preserved (using an\
internal double linked list). In this implementation replacing an existing\
item keeps it at its original position

%description %_description

%package -n python2-odict
Summary: %summary
Requires: python2
%{?python_provide:%python_provide python2-odict}

%description -n python2-odict %_description

%prep
%setup -q -n %{pkgname}-%{version}
rm -rf %{pkgname}-%{version}*.egg-info


%build
%py2_build

%check
# Tests are broken upstream and also require unpackaged python-interlude
# Uncomment when fixed upstream
# python setup.py test -m odict.tests

%install
rm -rf $RPM_BUILD_ROOT
%py2_install

%files -n python2-odict
%doc LICENSE.rst README.rst
%{python2_sitelib}/%{pkgname}/
%{python2_sitelib}/%{pkgname}-%{version}*.egg-info

%changelog
* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.5.1-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Wed Feb 14 2018 Iryna Shcherbina <ishcherb@redhat.com> - 1.5.1-10
- Update Python 2 dependency declarations to new packaging standards
  (See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3)

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.5.1-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Sat Aug 19 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 1.5.1-8
- Python 2 binary package renamed to python2-odict
  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.5.1-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.5.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5.1-5
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.5.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Mon Sep 23 2013 Stephen Gallagher <sgallagh@redhat.com> - 1.5.1-1
- New upstream release 1.5.1
- Implement __copy__ and __deepcopy__ in order to work with Python 2.7
- Use try/except instead of in in __contains__

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Thu Oct 04 2012 Stephen Gallagher <sgallagh@redhat.com> - 1.5.0-4
- Spec changes from package review
- %%check section reordered
- Minor edits to comments

* Thu Oct 04 2012 Stephen Gallagher <sgallagh@redhat.com> - 1.5.0-3
- Spec changes from package review
- Add %%clean section
- Explain why the test suite is not run

* Thu Oct 04 2012 Stephen Gallagher <sgallagh@redhat.com> - 1.5.0-2
- Spec changes from package review
- Add support for EPEL5
- Use %%{pkgname} instead of hard-coding odict


* Wed Oct 03 2012 Stephen Gallagher <sgallagh@redhat.com> - 1.5.0-1
- Initial release
